Subject: Re: bug#6256: 24.0.50; read-event in `repeat' command

From: Stefan Monnier <[email-masked]>
Date: Mon, 24 May 2010 22:41:25 -0400

> I take it back.  `read-char-exclusive' is not the right fix, because not all
> keyboard events are character events.  Hitting the key `left', for instance,
> does not work.

I think the real answer is that both read-event and read-char-exclusive
are the wrong answer.  A better answer would be to have some way to
change the way the next key is handled.  Something like
a `next-key-map', kind of like the overriding maps, except that it would
be automatically reset before running a command (and it would not
disable the other keymaps, only take precedence over them).

Basically calling read-event and friends and then putting it back onto
the unread-command-events list is almost always wrong in one way or
another (e.g. it postpones running post-command-hook).

        Stefan